Bug 114934 - installer should /sbin/chkconfig httpd on
installer should /sbin/chkconfig httpd on
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Todd Warner
Red Hat Satellite QA List
:
Depends On:
Blocks: rhn310rc
  Show dependency treegraph
 
Reported: 2004-02-04 12:07 EST by Chris Runge
Modified: 2007-08-06 11:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 10:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2004-02-04 12:07:40 EST
Description of problem:

The RHN Satellite installer should /sbin/chkconfig httpd on. By
default the service is off when installed with the OS. The installer
does not turn this required service on, so when the system is rebooted
the satellite is non-operational.

Version-Release number of selected component (if applicable):

rhn-satellite-3.0.9-11

How reproducible:

100%
Comment 1 Todd Warner 2004-02-04 15:05:29 EST
root@scripts satellite-3.1]# grep chkconfig x/install.sh
chkconfig --level 345 httpd on
chkconfig --level 345 taskomatic on

Near the end of the install it does this:
echo "** ensuring services will return upon reboot"
chkconfig --level 345 httpd on
chkconfig --level 345 taskomatic on

Should be /sbin/chkconfig I suppose. Maybe that is the hangup. It does
work for me though. Will in look into it though.
Comment 4 Todd Warner 2004-02-13 14:56:28 EST
chkconfig --> /sbin/chkconfig

Always worked for me though. Regardless, this bug will have it QAed again.

TEST PLAN:
----------
o install an AS2.1 box
o chkconfig --level 345 httpd off
o chkconfig --level 345 taskomatic off
o install the RHN Satellite.
o chkconfig --list|grep httpd
o chkconfig --list|grep task
o ensure both services are on for levels 3, 4, and 5
Comment 5 Todd Warner 2004-09-16 10:46:21 EDT
Done long time ago.

Note You need to log in before you can comment on or make changes to this bug.